Summary: PostgreSQL Data Base Management System 
Name: postgresql
Version: 6.2.1
Release: 7
Copyright: BSD
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/postgresql-%{PACKAGE_VERSION}.tar.gz
Source1: postgresql-6.2.1.init
Patch: postgresql-6.2.1-rpm.patch
BuildRoot: /var/tmp/postgresql-%{PACKAGE_VERSION}-root
Prereq: /sbin/chkconfig /sbin/ldconfig /usr/sbin/useradd
Url: http://www.postgresql.org/
ExclusiveArch: i386

%description
PostgreSQL Data Base Management System (formerly known as Postgres, then as
Postgres95). 

PostgreSQL is an enhancement of the POSTGRES database management system, a
next-generation DBMS research prototype.  While PostgreSQL retains the
powerful data model and rich data types of POSTGRES, it replaces the PostQuel
query language with an extended subset of SQL. PostgreSQL is free and the
complete source is available. 

PostgreSQL development is being performed by a team of Internet developers who
all subscribe to the PostgreSQL development mailing list. The current
coordinator is Marc G. Fournier (scrappy@postgreSQL.org). This team is now
responsible for all current and future development of PostgreSQL. 

The authors of PostgreSQL 1.01 were Andrew Yu and Jolly Chen. Many others have
contributed to the porting, testing, debugging and enhancement of the code.
The original Postgres code, from which PostgreSQL is derived, was the effort
of many graduate students, undergraduate students, and staff programmers
working under the direction of Professor Michael Stonebraker at the University
of California, Berkeley. 

The original name of the software at Berkeley was Postgres. When SQL
functionality was added in 1995, its name was changed to Postgres95. The name
was changed at the end of 1996 to PostgreSQL. 

PostgreSQL runs on Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD, and most
flavours of Unix. 

%package devel
Requires: postgresql
Summary: PostgreSQL development header files and libraries
Group: Development/Libraries

%description devel
This package contains header files and libraries required to compile
applications that are talking directly to the PostgreSQL backend server. 

%package data
Summary: PostgreSQL initial database structure
Group: Applications/Databases

%description data
This packages includes an initial database structure directory for PostgreSQL.
For a quick startup on PostegreSQL, it is recommended to install this package
with your PostgreSQL backend server (altough it is not required). 

If you choose to not install this package you will have to create the initial
database yourself using 'initdb' command and possibly modify the postgresql
startup script if you choose a directory other than /var/lib/pgsql for
storing your databases.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1 -b .rpm

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-hba \
	--enable-locale \
	--with-template=linux-elf \
	--prefix=/usr

make	HEADERDIR=/usr/include/pgsql \
	TCL_INCDIR=/usr/include \
	TCL_LIBDIR=/usr/lib \
	TCL_LIB=-ltcl \
	TK_INCDIR=/usr/include \
	TK_LIBDIR=/usr/lib \
	TK_LIB=-ltk \
	X11_INCDIR=/usr/X11R6/include \
	X11_LIBDIR=/usr/X11R6/lib \
		all


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include/pgsql,lib,bin}
cd src
make	HEADERDIR=$RPM_BUILD_ROOT/usr/include/pgsql \
	TCL_INCDIR=$RPM_BUILD_ROOT/usr/include \
	TCL_LIBDIR=$RPM_BUILD_ROOT/usr/lib \
	TCL_LIB=-ltcl \
	TK_INCDIR=$RPM_BUILD_ROOT/usr/include \
	TK_LIBDIR=$RPM_BUILD_ROOT/usr/lib \
	TK_LIB=-ltk \
	X11_INCDIR=$RPM_BUILD_ROOT/usr/X11R6/include \
	X11_LIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib \
	POSTGRESDIR=$RPM_BUILD_ROOT/usr \
	INSTALL="install -s" install

chmod 644 $RPM_BUILD_ROOT/usr/man/*/*
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/postgresql-6.2.1.init $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
mkdir -p $RPM_BUILD_ROOT/var/lib/pgsql
useradd -M -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" postgres || :
chown -R postgres.postgres $RPM_BUILD_ROOT/var/lib/pgsql
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
su postgres -c "LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib \
  $RPM_BUILD_ROOT/usr/bin/initdb --pgdata=$RPM_BUILD_ROOT/var/lib/pgsql \
		--pglib=$RPM_BUILD_ROOT/usr/lib"

%pre
useradd -M -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostreSQL Server" postgres || :

%post 
/sbin/ldconfig
chkconfig --add postgresql

%preun
if [ $1 = 0 ] ; then
	chkconfig --del postgresql
fi

%postun 
/sbin/ldconfig
if [ $1 = 0 ] ; then
	userdel postgres
fi

%files
%config /etc/rc.d/init.d/*
# %config(missingok) /etc/rc.d/rc?.d/*
%doc contrib doc COPYRIGHT README HISTORY
/usr/lib/libpq.so.1
/usr/lib/*sample
/usr/lib/*source
/usr/man/man[15l]/*
%dir /var/lib/pgsql
/usr/bin/*

%files devel
/usr/include/pgsql
/usr/lib/libpq.a
/usr/lib/libpq.so
/usr/man/man3/*

%files data
%config /var/lib/pgsql/*

%changelog
* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- cleaned up the spec file for version 6.2.1
- splited devel subpackage
- added chkconfig support in %preun and %post
- added optional data package

* Mon Oct 13 1997 Elliot Lee <sopwith@cuc.edu> 6.2-3
- Fixed lots of bung-ups in the spec file, made it FSSTND compliant, etc.
- Removed jdbc package, jdk isn't stable yet as far as what goes where.
- Updated to v 6.2.1

* Thu Oct  9 1997 10:58:14 dan
- on pre-installation script now the `data' dir is renamed to
  `data.rpmorig' (no more wild deletions!).
- added `postgresql-jdbc' sub-package.
- postgresql.sh script: defined function `add_to_path()' and
  changed the location of postgresql.jar in the CLASSPATH.

* Sat Oct  4 1997 10:27:43 dan
- updated to version 6.2.
- added auto installation's scripts (pre, post, preun, postun)

%clean
rm -rf $RPM_BUILD_ROOT


